<?php
$link =  mysqli_connect('localhost', 'digibyteconnect_site', '#.6~]2vddj)m','digibyteconnect_site');  
function curl($url){
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $data = curl_exec($ch);
    curl_close($ch);
    return $data;
}
$url = "http://www-2.dmcentralserver.com/api/productos";
$productos = json_decode(curl($url));
$counter = 0;
$link->query("UPDATE PricefileMumbai SET isactive = 0");
foreach ($productos as $producto) {

	$if_exist_product = $link->query("SELECT * FROM PricefileMumbai WHERE SKU = '".$producto->sku."'");
	if($if_exist_product->num_rows==0){
		$counter++;
		$image = (!empty($producto->imagen))?$producto->imagen:0;
		$ficha = (!empty($producto->ficha))?$producto->ficha:0;
		$sql_query = "INSERT INTO PricefileMumbai
			    	(SKU,
			    	 MFRPartNumber,
			    	 UPCNumber,
			    	 ProductDescription1,
			    	 ProductWidth,
			    	 ProductHeight,
			    	 ProductWeight,
			    	 ProductLength,
			    	 id_fabricante,
			    	 id_subcategoria,
			    	 agregado,
			    	 isactive,
			    	 hasTechNotes,
			    	 hasImage
			    	 )
					VALUES
			    	('".$producto->sku."',
			    	 '".$producto->modelo."',
			    	 '".$producto->upc."',
			    	 '".$producto->nombre."',
			    	 '".$producto->width."',
			    	 '".$producto->height."',
			    	 '".$producto->weight."',
			    	 '".$producto->length."',
			    	 ".$producto->id_fabricante.",
			    	 ".$producto->id_categoria.",
			    	 NOW(),
			    	 1,
			    	 ".$ficha.",
			    	 ".$image."
			    	 );";
			    	 echo $sql_query;
			    	 echo "<br>";
		$rs1 = $link->query($sql_query);
	}else{
		$data = $if_exist_product->fetch_assoc();
		$q = "UPDATE PricefileMumbai SET ProductDescription1='".$producto->nombre."', isactive = 1,hasTechNotes=".$producto->ficha.",hasImage=".$producto->imagen." WHERE id = ".$data["id"];
		echo $q."<br>";

		$link->query($q);
	}
}
?>